Name:		perl-Array-Compare
Version:	1.17
Release:	3%{?_dist_release}
Summary:	Perl extension for comparing arrays

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Array-Compare/
Source0:	http://www.cpan.org/authors/id/D/DA/DAVECROSS/Array-Compare-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
If you have two arrays and you want to know if they are the same or
different, then Array::Compare will be useful to you.


%prep
%setup -q -n Array-Compare-%{version}
chmod -c a-x lib/Array/*.pm


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
chmod -R u+w $RPM_BUILD_ROOT/*


%check
./Build test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Array/
%{_mandir}/man3/*.3pm*


%changelog
* Mon Jun 30 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 1.17-3
- build with Perl 5.16

* Mon Apr 25 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 1.17-2
- build with perl 5.12.3
- add Vendor and Distribution tags

* Thu Nov 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.17-1
- initial build for Vine Linux based on fedora development

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Ralf Cors辿pius <corsepiu@fedoraproject.org> - 1.17-1
- Upstream update.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 10 2008 Ralf Cors辿pius <rc040203@freenet.de> - 1.16-1
- Upstream update.

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.14-3
- Rebuild for perl 5.10 (again)

* Thu Jan 31 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.14-2
- rebuild for new perl

* Thu Apr  5 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.14-1
- Update to 1.14.

* Thu Sep  7 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.13-3
- Rebuild for FC6.

* Mon Feb 20 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.13-2
- Rebuild for FC5 (perl 5.8.8).

* Thu Oct  6 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.13-1
- Update to 1.13.

* Fri Jul  1 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.12-3
- Dist tag.

* Wed Apr 20 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.12-0.fdr.2
- Avoid .packlist creation with Module::Build >= 0.2609.

* Tue Mar  1 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.12-0.fdr.1
- Update to 1.12.

* Fri Nov  5 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.11-0.fdr.1
- Update to 1.11.

* Sun Jul 04 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.09-0.fdr.1
- First build.
